<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
  <!-- param : encounter = current encounter for browsing the table 
				 extendedTable = displays all columns if set to true 
				 displayPatientInfo : displays patient column if set to true-->
  <g:column>
    <ui:define name="header">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
    <h:outputText value="#{encounter.visitNumber}"/>
  </g:column>
  <g:column rendered="#{displayPatientInfo}">
    <ui:define name="header">#{messages['gazelle.ordermanager.Patient']}</ui:define>
    <h:outputText value="#{encounter.patient.firstName} #{encounter.patient.lastName}"/>
  </g:column>
  <g:column>
    <ui:define name="header">#{messages['gazelle.ordermanager.PatientsClassCode']}</ui:define>
    <h:outputText value="#{encounter.patientClassCode}"/>
  </g:column>
  <g:column rendered="#{extendedTable}">
    <ui:define name="header">#{messages['gazelle.ordermanager.ReferringDoctor']}</ui:define>
    <h:outputText value="#{encounter.getReferringDoctor()}"/>
  </g:column>
  <g:column rendered="#{extendedTable}">
    <ui:define name="header">#{messages['gazelle.ordermanager.AssignedLocation']}</ui:define>
    <h:outputText value="#{encounter.assignedPatientLocation}"/>
  </g:column>
  <g:column sortOrder="#{dataTableStateHolder.sortOrders['creationDate']}" sortBy="#{'creationDate'}">
    <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate']}</ui:define>
    <g:date value="#{encounter.creationDate}"/>
  </g:column>
  <g:column>
    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
    <h:outputText value="#{encounter.creator}"/>
  </g:column>
</ui:composition>
